Subject: Re: bug#56712: 29.0.50; x-dnd-tests-do-direct-save fails on Cygwin

From: Po Lu <[email-masked]>
Date: Tue, 26 Jul 2022 10:10:49 +0800

Eli Zaretskii <[email-masked]> writes:

> FTR: if that test should ever run on native MS-Windows, we'd need that
> third slash, because file://c:/foo/bar is not valid on Windows, you
> must say file:///c:/foo/bar.
>
> So from my POV, it is best to make that code system-dependent, with
> windows-nt using 3 slashes, not 2.

The code is specific to X -- as evidenced by the name.  Doesn't Cygwin
(the only way I know of to get an X server on MS Windows) use Unix-style
file names everywhere?

Thanks.